/*

Copyright 2011 Danilo Gemoli <nylus77@libero.it>

This file is part of Snake_v1.0.

Snake_v1.0 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Snake_v1.0 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Snake_v1.0.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef MOVIMENTO_H
#define MOVIMENTO_H

#include "area.h"
#include "serpente.h"

enum Movimento { SINISTRA = 1, DESTRA, GIU, SU, FERMO };
enum Stato_gioco { NORMALE = 0, PAUSA, ESCI };

void movimento( Area&, Serpente&, Movimento&, Stato_gioco& stato_gioco );
bool movimento_2( Area&, Serpente&, Serpente&, Movimento&, Movimento&, Stato_gioco& );

#endif
